> ## Documentation Index > Fetch the complete documentation index at: https://docs.validatar.com/llms.txt > Use this file to discover all available pages before exploring further. # Update Standard Test > Update an existing standard test ## OpenAPI ````json PUT /api/v1/Authoring/projects/{projectId}/tests/{testId} { "openapi": "3.0.4", "info": { "title": "Validatar API Documentation", "description": "# Overview\nThe Validatar Core website provides [REST](https://en.wikipedia.org/wiki/Representational_state_transfer) API access to the back-end functionality included in Validatar. This documentation provides the ability to call the API endpoints directly, provided a user is authorized to do so. If you do not currently have the Validatar app, visit the [Validatar home page](https://www.validatar.com/) to see details. If you are looking for the application documentation, visit the [Validatar application documentation page](https://docs.validatar.com/docs).\n\n\n\n# Scopes\n| Scope | Description |\n|----------------|-------------|\n| Authoring | The endpoints in Authoring provide configuration and creation operations. This includes operations such as creating folders or updating tests. |\n| Data Steward | The endpoints in Data Steward allow technical, custom, and lineage metadata ingestion at the data source, schema, table, and column levels. |\n| Execution | The endpoints in Execution allow executing standard/template tests or jobs. |\n| Catalog | The endpoints in Catalog allow retrieving technical, custom, and lineage metadata information at the data source, schema, table, and column levels. |\n| Reporting | The endpoints in Reporting allow retrieving a list of reports and executing reports. |\n| Security Admin | The endpoints in Security Admin allow configuring user groups and managing user permissions. |\n\n", "version": "v1" }, "servers": [ { "url": "https://training.cloud.validatar.com/core" } ], "tags": [ { "name": "Authoring" }, { "name": "Catalog" }, { "name": "Data Steward" }, { "name": "Execution" }, { "name": "Reporting" }, { "name": "Security Admin" } ], "paths": { "/api/v1/Authoring/projects/{projectId}/tests/{testId}": { "put": { "tags": [ "Authoring" ], "summary": "Update Standard Test", "description": "Update an existing standard test", "parameters": [ { "name": "projectId", "in": "path", "description": "Project containing the standard test", "required": true, "schema": { "type": "integer", "format": "int32" } }, { "name": "testId", "in": "path", "description": "Standard test to update", "required": true, "schema": { "type": "integer", "format": "int32" } } ], "requestBody": { "description": "Information about the standard test", "content": { "application/json-patch+json": { "schema": { "title": "StandardTestDetailShared", "oneOf": [ { "$ref": "#/components/schemas/Configuration.Api.Models.v1.StandardTestDetailV1" }, { "$ref": "#/components/schemas/Configuration.Api.Models.v1.StandardTestDetailV2" } ] } }, "application/json": { "schema": { "title": "StandardTestDetailShared", "oneOf": [ { "$ref": "#/components/schemas/Configuration.Api.Models.v1.StandardTestDetailV1" }, { "$ref": "#/components/schemas/Configuration.Api.Models.v1.StandardTestDetailV2" } ] } }, "text/json": { "schema": { "title": "StandardTestDetailShared", "oneOf": [ { "$ref": "#/components/schemas/Configuration.Api.Models.v1.StandardTestDetailV1" }, { "$ref": "#/components/schemas/Configuration.Api.Models.v1.StandardTestDetailV2" } ] } }, "application/*+json": { "schema": { "title": "StandardTestDetailShared", "oneOf": [ { "$ref": "#/components/schemas/Configuration.Api.Models.v1.StandardTestDetailV1" }, { "$ref": "#/components/schemas/Configuration.Api.Models.v1.StandardTestDetailV2" } ] } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.SuccessResponse" } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.ErrorResponse" } } } }, "403": { "description": "Forbidden" } }, "security": [ {} ] } } }, "components": { "schemas": { "Configuration.Api.Models.v1.StandardTestDetailV1": { "title": "StandardTestDetailV1", "required": [ "controlDataSet", "testDataSet" ], "type": "object", "properties": { "testDataSet": { "$ref": "#/components/schemas/Common.StandardTestDataSetV1" }, "controlDataSet": { "$ref": "#/components/schemas/Common.StandardTestDataSetV1" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.StandardTestDetailV2": { "title": "StandardTestDetailV2", "required": [ "controlDataSet", "testDataSet" ], "type": "object", "properties": { "testDataSet": { "title": "TestDataSet", "oneOf": [ { "$ref": "#/components/schemas/Configuration.Api.Models.v1.StandardTestDataSetV2TestScript" }, { "$ref": "#/components/schemas/Configuration.Api.Models.v1.StandardTestDataSetV2TestMacro" }, { "$ref": "#/components/schemas/Configuration.Api.Models.v1.StandardTestDataSetV2TestProfileResult" } ], "description": "Defines the test dataset" }, "controlDataSet": { "title": "ControlDataSet", "oneOf": [ { "$ref": "#/components/schemas/Configuration.Api.Models.v1.StandardTestDataSetV2ControlScript" }, { "$ref": "#/components/schemas/Configuration.Api.Models.v1.StandardTestDataSetV2ControlMacro" }, { "$ref": "#/components/schemas/Configuration.Api.Models.v1.StandardTestDataSetV2ControlProfileResult" }, { "$ref": "#/components/schemas/Configuration.Api.Models.v1.StandardTestDataSetV2ControlProfileAggregate" }, { "$ref": "#/components/schemas/Configuration.Api.Models.v1.StandardTestDataSetV2ControlDateTimeValue" }, { "$ref": "#/components/schemas/Configuration.Api.Models.v1.StandardTestDataSetV2ControlStringValue" }, { "$ref": "#/components/schemas/Configuration.Api.Models.v1.StandardTestDataSetV2ControlNumericValue" }, { "$ref": "#/components/schemas/Configuration.Api.Models.v1.StandardTestDataSetV2ControlNumericRange" }, { "$ref": "#/components/schemas/Configuration.Api.Models.v1.StandardTestDataSetV2ControlDateTimeRange" }, { "$ref": "#/components/schemas/Configuration.Api.Models.v1.StandardTestDataSetV2ControlTestAggregate" } ], "description": "Defines the control dataset" }, "qualityScoreCalculation": { "type": "string", "description": "Custom quality score calculation", "nullable": true }, "qualityScoreMethod": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.QualityScoreMethod" }, "columnMappingJson": { "type": "string", "description": "JSON of custom column mapping between the test and control datasets", "nullable": true }, "testDataSetColumnMappingMethod": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TestDataSetColumnMapping" }, "treatValuesAsType": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TestDataSetColumnType" }, "testDataSetColumnSelection": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TestDataSetColumnSelection" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.Common.SuccessResponse": { "title": "SuccessResponse", "type": "object", "properties": { "message": { "type": "string", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.Common.ErrorResponse": { "title": "ErrorResponse", "type": "object", "properties": { "error": { "type": "string", "nullable": true } }, "additionalProperties": false }, "Common.StandardTestDataSetV1": { "title": "StandardTestDataSetV1", "type": "object", "properties": { "testDataSetType": { "$ref": "#/components/schemas/Enums.TestDataSetType" }, "dataSourceId": { "type": "integer", "format": "int32", "nullable": true }, "configurationJson": { "type": "string", "nullable": true }, "objectText": { "type": "string", "nullable": true }, "objectId": { "type": "integer", "format": "int32", "nullable": true }, "metaLinks": { "type": "array", "items": { "$ref": "#/components/schemas/Common.DataSetMetaLink" } } }, "additionalProperties": false }, "Configuration.Api.Models.v1.StandardTestDataSetV2TestScript": { "title": "Script", "type": "object", "properties": { "dataSourceId": { "type": "integer", "description": "The data set's data source ID", "format": "int32", "nullable": true }, "columns": { "type": "array", "items": { "$ref": "#/components/schemas/Common.DataSetColumn" }, "description": "The data set's columns" }, "isScalar": { "type": "boolean", "description": "Whether the data set is scalar" }, "scriptText": { "type": "string", "description": "The data set's script text", "nullable": true }, "metaLinks": { "type": "array", "items": { "$ref": "#/components/schemas/Common.DataSetMetaLink" }, "description": "The data set's meta links" }, "dataSetProcessingType": { "$ref": "#/components/schemas/Enums.DataSetProcessingType" }, "columnAggregate": { "$ref": "#/components/schemas/Enums.JsonColumnAggregate" }, "aggregationColumnKey": { "type": "string", "description": "The data set's aggregation column key", "nullable": true }, "sameAsTestScript": { "type": "boolean", "description": "Whether the control data set is the same as the test data set script" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.StandardTestDataSetV2TestMacro": { "title": "Macro", "type": "object", "properties": { "dataSourceId": { "type": "integer", "description": "The data set's data source ID", "format": "int32", "nullable": true }, "macroReferenceKey": { "type": "string", "description": "The data set's macro reference key", "nullable": true }, "parameters": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Test.DataSetConfigMacroParameter" }, "description": "List of parameters used by the macro data set" }, "columns": { "type": "array", "items": { "$ref": "#/components/schemas/Common.DataSetColumn" }, "description": "The data set's columns" }, "isScalar": { "type": "boolean", "description": "Whether the data set is scalar" }, "metaLinks": { "type": "array", "items": { "$ref": "#/components/schemas/Common.DataSetMetaLink" }, "description": "The data set's meta links" }, "dataSetProcessingType": { "$ref": "#/components/schemas/Enums.DataSetProcessingType" }, "columnAggregate": { "$ref": "#/components/schemas/Enums.JsonColumnAggregate" }, "aggregationColumnKey": { "type": "string", "description": "The data set's aggregation column key", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.StandardTestDataSetV2TestProfileResult": { "title": "ProfileResult", "type": "object", "properties": { "context": { "$ref": "#/components/schemas/Configuration.Test.DataSetConfigProfileContext" }, "groupingKeyColumnRole": { "$ref": "#/components/schemas/Enums.TestDataSetColumnRole" }, "valueColumnRole": { "$ref": "#/components/schemas/Enums.TestDataSetColumnRole" }, "metaLinks": { "type": "array", "items": { "$ref": "#/components/schemas/Common.DataSetMetaLink" }, "description": "The data set's meta links" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.StandardTestDataSetV2ControlScript": { "title": "Script", "type": "object", "properties": { "dataSourceId": { "type": "integer", "description": "The data set's data source ID", "format": "int32", "nullable": true }, "columns": { "type": "array", "items": { "$ref": "#/components/schemas/Common.DataSetColumn" }, "description": "The data set's columns" }, "isScalar": { "type": "boolean", "description": "Whether the data set is scalar" }, "scriptText": { "type": "string", "description": "The data set's script", "nullable": true }, "metaLinks": { "type": "array", "items": { "$ref": "#/components/schemas/Common.DataSetMetaLink" }, "description": "The data set's meta links" }, "dataSetProcessingType": { "$ref": "#/components/schemas/Enums.DataSetProcessingType" }, "columnAggregate": { "$ref": "#/components/schemas/Enums.JsonColumnAggregate" }, "aggregationColumnKey": { "type": "string", "description": "The data set's aggregation column key", "nullable": true }, "sameAsTestScript": { "type": "boolean", "description": "Whether the control data set is the same as the test data set script" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.StandardTestDataSetV2ControlMacro": { "title": "Macro", "type": "object", "properties": { "dataSourceId": { "type": "integer", "description": "The data set's data source ID", "format": "int32", "nullable": true }, "macroReferenceKey": { "type": "string", "description": "The data set's macro reference key", "nullable": true }, "parameters": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Test.DataSetConfigMacroParameter" }, "description": "List of parameters used by the macro data set" }, "columns": { "type": "array", "items": { "$ref": "#/components/schemas/Common.DataSetColumn" }, "description": "The data set's columns" }, "isScalar": { "type": "boolean", "description": "Whether the data set is scalar" }, "metaLinks": { "type": "array", "items": { "$ref": "#/components/schemas/Common.DataSetMetaLink" }, "description": "The data set's meta links" }, "dataSetProcessingType": { "$ref": "#/components/schemas/Enums.DataSetProcessingType" }, "columnAggregate": { "$ref": "#/components/schemas/Enums.JsonColumnAggregate" }, "aggregationColumnKey": { "type": "string", "description": "The data set's aggregation column key", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.StandardTestDataSetV2ControlProfileResult": { "title": "ProfileResult", "type": "object", "properties": { "context": { "$ref": "#/components/schemas/Configuration.Test.DataSetConfigProfileContext" }, "groupingKeyColumnRole": { "$ref": "#/components/schemas/Enums.TestDataSetColumnRole" }, "valueColumnRole": { "$ref": "#/components/schemas/Enums.TestDataSetColumnRole" }, "metaLinks": { "type": "array", "items": { "$ref": "#/components/schemas/Common.DataSetMetaLink" }, "description": "The data set's meta links" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.StandardTestDataSetV2ControlProfileAggregate": { "title": "ProfileAggregate", "type": "object", "properties": { "context": { "$ref": "#/components/schemas/Configuration.Test.DataSetConfigProfileContext" }, "aggregate": { "$ref": "#/components/schemas/Enums.JsonProfileHistoryAggregate" }, "window": { "$ref": "#/components/schemas/Enums.JsonProfileHistoryWindow" }, "windowSize": { "type": "integer", "description": "The size of the data set window", "format": "int32" }, "metaLinks": { "type": "array", "items": { "$ref": "#/components/schemas/Common.DataSetMetaLink" }, "description": "The data set's meta links" }, "groupingKeyColumnRole": { "$ref": "#/components/schemas/Enums.TestDataSetColumnRole" }, "valueColumnRole": { "$ref": "#/components/schemas/Enums.TestDataSetColumnRole" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.StandardTestDataSetV2ControlDateTimeValue": { "title": "DateTimeValue", "type": "object", "properties": { "valueType": { "$ref": "#/components/schemas/Enums.JsonDateSelectionType" }, "columnType": { "$ref": "#/components/schemas/Enums.TestDataSetColumnType" }, "timeZoneKey": { "type": "string", "description": "The time zone key of the data set", "nullable": true }, "relativeTargetPeriod": { "$ref": "#/components/schemas/Enums.JsonRelativeDateValuePeriod" }, "targetValue": { "type": "string", "description": "The target value of the data set", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.StandardTestDataSetV2ControlStringValue": { "title": "StringValue", "type": "object", "properties": { "targetValue": { "type": "string", "nullable": true }, "ignoreWhitespace": { "type": "boolean" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.StandardTestDataSetV2ControlNumericValue": { "title": "NumericValue", "type": "object", "properties": { "targetValue": { "type": "number", "format": "double" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.StandardTestDataSetV2ControlNumericRange": { "title": "NumericRange", "type": "object", "properties": { "minValue": { "type": "number", "format": "double", "nullable": true }, "maxValue": { "type": "number", "format": "double", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.StandardTestDataSetV2ControlDateTimeRange": { "title": "DateTimeRange", "type": "object", "properties": { "rangeType": { "$ref": "#/components/schemas/Enums.JsonDateSelectionType" }, "columnType": { "$ref": "#/components/schemas/Enums.TestDataSetColumnType" }, "timeZoneKey": { "type": "string", "description": "The time zone key of the data set", "nullable": true }, "minRelativePeriod": { "$ref": "#/components/schemas/Enums.JsonRelativeDateRangePeriod" }, "maxRelativePeriod": { "$ref": "#/components/schemas/Enums.JsonRelativeDateRangePeriod" }, "minRelativeOffset": { "type": "integer", "description": "The minimum relative offset of the data set", "format": "int32", "nullable": true }, "maxRelativeOffset": { "type": "integer", "description": "The maximum relative offset of the data set", "format": "int32", "nullable": true }, "minAbsoluteValue": { "type": "string", "description": "The minimum absolute value of the data set", "nullable": true }, "maxAbsoluteValue": { "type": "string", "description": "The maximum absolute value of the data set", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.StandardTestDataSetV2ControlTestAggregate": { "title": "TestAggregate", "type": "object", "properties": { "isScalar": { "type": "boolean", "description": "Whether the data set is scalar" }, "aggregate": { "$ref": "#/components/schemas/Enums.JsonProfileHistoryAggregate" }, "window": { "$ref": "#/components/schemas/Enums.JsonProfileHistoryWindow" }, "windowSize": { "type": "integer", "description": "The window size of the dataset", "format": "int32" }, "includePriorVersions": { "type": "boolean", "description": "Whether the dataset includes prior versions" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.QualityScoreMethod": { "title": "QualityScoreMethod", "enum": [ "AllOrNothing", "Proportional", "ProportionalWithPassOverride", "CustomCalculation" ], "type": "string" }, "Configuration.Api.Models.v1.TestDataSetColumnMapping": { "title": "TestDataSetColumnMapping", "enum": [ "Automatic", "Manual" ], "type": "string" }, "Configuration.Api.Models.v1.TestDataSetColumnType": { "title": "TestDataSetColumnType", "enum": [ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ], "type": "string" }, "Configuration.Api.Models.v1.TestDataSetColumnSelection": { "title": "TestDataSetColumnSelection", "enum": [ "Name", "Position" ], "type": "string" }, "Enums.TestDataSetType": { "title": "TestDataSetType", "enum": [ "SingleValueScriptNumeric", "KeyValueListScriptNumeric", "ScalarProfileResultNumeric", "ScalarProfileAggregateNumeric", "NumericRange", "NumericValue", "SingleValueScriptString", "KeyValueListScriptString", "StringValue", "SingleValueTestAggregateNumeric", "KeyValueListTestAggregateNumeric", "SingleValueTestAggregateString", "KeyValueListTestAggregateString", "DateRange", "DateValue", "SingleValueScriptDate", "KeyValueListScriptDate", "SingleValueTestAggregateDate", "KeyValueListTestAggregateDate", "SingleValueScriptAutomatic", "KeyValueListScriptAutomatic", "SingleValueTestAggregateAutomatic", "KeyValueListTestAggregateAutomatic", "SingleValueMacroNumeric", "KeyValueListMacroNumeric", "SingleValueMacroString", "KeyValueListMacroString", "SingleValueMacroDate", "KeyValueListMacroDate", "SingleValueMacroAutomatic", "KeyValueListMacroAutomatic", "ScalarProfileResultString", "ScalarProfileResultDate", "ArrayProfileResultNumeric", "ArrayProfileResultString", "ArrayProfileResultDate", "ScalarProfileAggregateString", "ScalarProfileAggregateDate", "ArrayProfileAggregateNumeric", "ArrayProfileAggregateString", "ArrayProfileAggregateDate" ], "type": "string" }, "Common.DataSetMetaLink": { "title": "DataSetMetaLink", "type": "object", "properties": { "level": { "$ref": "#/components/schemas/Enums.DataSetMetaLinkLevel" }, "objectId": { "type": "integer", "format": "int32" }, "includeForCoverage": { "type": "boolean" } }, "additionalProperties": false }, "Common.DataSetColumn": { "title": "DataSetColumn", "type": "object", "properties": { "name": { "type": "string", "nullable": true }, "sequence": { "type": "integer", "format": "int32" }, "columnType": { "$ref": "#/components/schemas/Enums.TestDataSetColumnType" }, "roleId": { "$ref": "#/components/schemas/Enums.TestDataSetColumnRole" } }, "additionalProperties": false }, "Enums.DataSetProcessingType": { "title": "DataSetProcessingType", "enum": [ "SingleValue", "Table", "ColumnAggregation", "RowCount" ], "type": "string" }, "Enums.JsonColumnAggregate": { "title": "JsonColumnAggregate", "enum": [ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ], "type": "string" }, "Configuration.Test.DataSetConfigMacroParameter": { "type": "object", "properties": { "parameterId": { "type": "integer", "format": "int32" }, "parameterValue": { "type": "string", "nullable": true } }, "additionalProperties": false }, "Configuration.Test.DataSetConfigProfileContext": { "type": "object", "properties": { "tableId": { "type": "integer", "format": "int32" }, "columnId": { "type": "integer", "format": "int32", "nullable": true }, "profileDefId": { "type": "integer", "format": "int32" } }, "additionalProperties": false }, "Enums.TestDataSetColumnRole": { "title": "TestDataSetColumnRole", "enum": [ "Key", "Value", "Ignore" ], "type": "string" }, "Enums.JsonProfileHistoryAggregate": { "title": "JsonProfileHistoryAggregate", "enum": [ "Average", "Minimum", "Maximum" ], "type": "string" }, "Enums.JsonProfileHistoryWindow": { "title": "JsonProfileHistoryWindow", "enum": [ "Days", "Weeks", "Runs" ], "type": "string" }, "Enums.JsonDateSelectionType": { "title": "JsonDateSelectionType", "enum": [ "Absolute", "Relative" ], "type": "string" }, "Enums.TestDataSetColumnType": { "title": "TestDataSetColumnType", "enum": [ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ], "type": "string" }, "Enums.JsonRelativeDateValuePeriod": { "title": "JsonRelativeDateValuePeriod", "enum": [ "CurrentDate" ], "type": "string" }, "Enums.JsonRelativeDateRangePeriod": { "title": "JsonRelativeDateRangePeriod", "enum": [ "CurrentDate", "Month", "Week", "Day", "Hour", "Minute" ], "type": "string" }, "Enums.DataSetMetaLinkLevel": { "title": "DataSetMetaLinkLevel", "enum": [ "Table", "Column" ], "type": "string" } } } } ````